<template>
  <div class="RestaurantCardComponent">

    <b-card
    :title="restaurant.name"
    img-src="https://picsum.photos/600/300/?image=25"
    img-alt="Image"
    img-top
    style="max-width: 20rem;"
    class="mb-2 mt-5 mx-auto"
    @click="onClickCard"
  >
    <b-card-text>
       {{ restaurant.address }} <br>
       {{ restaurant.rate }} stars
    </b-card-text>
  </b-card>
    
  
  </div>
</template>

<script lang="ts">
import router from '@/router';
import Vue from 'vue';
import { mapActions, mapGetters } from 'vuex';



export default Vue.extend({
  name: 'RestaurantCardComponent',
  props: {

  },

  data: () => ({
    restaurant: {}
  }),

  methods: {
    onClickCard(){
        router.push('/restaurant')
    }
  },

  mounted() {
    this.restaurant = JSON.parse(localStorage.restaurant)
  },





});
</script>


<style scoped>

</style>
